Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » X Window & GUI » Проблем с ъпдейт и видео драйвери.
Тема: Проблем с ъпдейт и видео драйвери., Ubuntu 6.06 и nVidia
Мнение #1 Skip to the next post in this topic.
Написано на: Октомври 08 2006, 11:04
hornet

Avatar




Група: Li fans
Мнения: 128
Регистриран: Април 2005

Оценка: няма

Offline
След малко борба с драйверите на нВидия, накрая успяха да се инсталират и тръгнат. След това направих ъпдейт на системата, като се свали ново ядро (2.6.15-27), но след рестарта стигам до стартирането на X и дотам.
Лога показва следното:
Цитат:


(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(**) NVIDIA(0): Enabling RENDER acceleration
(EE) NVIDIA(0): Failed to load the NVIDIA kernel module!
(EE) NVIDIA(0):  *** Aborting ***
(II) UnloadModule: "nvidia"
(II) UnloadModule: "ramdac"
(II) UnloadModule: "fb"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Когато ползвам старата версия 2.6.15-23 няма проблеми. Някакви идеи за решаването на проблема?

Контакти:  hornet
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 08 2006, 16:17
saejoh

Avatar




Група: Li maniacs
Мнения: 449
Регистриран: Септември 2005

Оценка: няма

Offline
Решението е да инсталираш наново с още малко борба драйверите на НВидиа, за да може новият ти кернел да си ги ползва така, както това става със стария. :43;

Ath XP 1700+, NVidia, Biostar M7NCG, Повече тук и тук
Контакти:  saejoh

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 09 2006, 16:58
hornet

Avatar




Група: Li fans
Мнения: 128
Регистриран: Април 2005

Оценка: няма

Offline
Не става.  :14;
Доста си играх, но засега без успех. Дори 2.6.15-23-686 не тръгва.
Ще си цъкам Battlefield 2 със старото ядро май.

Контакти:  hornet
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 10 2006, 09:33
mcwolf

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
когато "драйверът" е модул на ядрото е напълно нормално да "изчезне" след като инсталираш ново ядро

за да го инсталираш и него с apt се убеди че системата ползва именно новото ядро (обикновенно хиксът увисва - за да се добереш до конзола трябва просто да натиснеш alt+ctrl+f1) логваш се и инсталираш драйверът
Код: 
sudo apt-get install nvidia-glx


ресет (не ме плюйте - по лесно се обяснява така) и си готов


Редактирано от stumps на Октомври 10 2006, 10:00
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 10 2006, 13:26
phantomlord
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Да не би версиите на gcc, с които са ти компилирани кернела и модула на нВидиа да са различни?

Редактирано от phantomlord на Октомври 10 2006, 13:26

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #6 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 10 2006, 14:18
hornet

Avatar




Група: Li fans
Мнения: 128
Регистриран: Април 2005

Оценка: няма

Offline
mcwolf - точно това правя. Стартирам с новото ядро (махам предварително драйвера), инсталирам драйвера както е описано в ubuntuguide.org (прави ми впечатление, че sudo nvidia-glx-config enable не прави необходимите промени в xorg.conf и трябва да ги направя ръчно), рестартирам и нищо.

phantomlord - ами не знам. Разчитам на това, че всичко идва от хранилищата на Убунту и "трябва да работи".

П.С. Възможно ли е, да трябва да се инсталират някакви други пакети за новото ядро (headers, source и т.н.), за да тръгне?

Контакти:  hornet
WEB  
Мнение #7 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 10 2006, 14:47
phantomlord
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Да. май беше нещо от сорта на:
Код: 
apt-get install linux-headers-'uname -r'

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #8 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 10 2006, 15:13
mcwolf

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
да общо взето ще трява да си едитнеш файлът сам - обаче какво точно е това "нищо не става" - единствената промяна която трябва да направиш е да смениш името на драйверър от nvidia на nv (за да тръгне Х-а с новото ядро) после инсталираш както ти казах и слагаш новият драйвер

та конкретизирай какво значи "нищо" в твоят случай - проблемът не е в драйверът а в оператора - почни от там - пусни новото ядро и дай изходът от
Код: 

uname -r
lsmod | grep nv
cat /etc/X11/xorg.conf | grep nv


така ще видиме какво е положението в момента
после пусни инсталацията на драйверът и даи изходът от нея
Код: 

sudo apt-get install nvidia-glx


след като приключи (или върне грешка) пробвай да заредиш драйвеър
Код: 

sudo modprobe nvidia

ако това НЕ върне грешка (не би трябвало да върне нищо де) тогава вече можеш да зададеш новият драйвер в конфигът на Х-а

(хедър файловете на ядрото не са ти необходими за сега - ще ти трябват ако решиш да си инсталираш драйвер от официалният сайт на nvidia)


Редактирано от mcwolf на Октомври 10 2006, 15:14
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #9 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 10 2006, 16:46
phantomlord
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
За да получиш повече инфо дай:
Код: 
sudo modprobe -v nvidia

До колкото знам трябва да изпълниш командата при спрян Х.

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #10
Skip to the previous post in this topic. Написано на: Октомври 10 2006, 17:48
hornet

Avatar




Група: Li fans
Мнения: 128
Регистриран: Април 2005

Оценка: няма

Offline
EDIT: Намерих решението. Направи ми впечатление, че при инсталиране на драйвера се сваля linux-restricted-modules-2.6.15-23, а не както е необходимо linux-restricted-modules-2.6.15-27. Намерих си необходимата ми версия и нещата се оправиха. Обаче защо този пакет го няма достъпен през apt?

mcwolf - под "нищо" имам предвид, че съобщението е същото както в първия ми пост. Ето и изхода от командите:
Код: 

cougar@cougar-desktop:~$ uname -r
2.6.15-27-686

Код: 

cougar@cougar-desktop:~$ lsmod | grep nv
cougar@cougar-desktop:~$

Код: 

cougar@cougar-desktop:~$ cat /etc/X11/xorg.conf | grep nv
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 1.0  (buildmeister@builder3)  Mon May 15 13:23:42 PDT 2006
   Driver         "nv"

След инсталацията на драйвера излиза това:
Код: 

cougar@cougar-desktop:~$ sudo modprobe nvidia
FATAL: Module nvidia not found.


Редактирано от hornet на Октомври 10 2006, 18:16

Контакти:  hornet
WEB  
Общо 18 отговор(а) от Октомври 08 2006, 11:04 до сега
 » Начало » Li Форуми » Help & Support » X Window & GUI » Проблем с ъпдейт и видео драйвери.

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums